﻿@*@{ Layout = null; }*@

@model List<ExamenT2_Diars.Models.Pokemon>

<h1>POKEMONES</h1>

<link href="/css/Logo.css" rel="stylesheet" />




<div class="row">
    <div class="col-4">
        <!-- FORMULARIO DE BUSQUEDA -->
        <form action="/Pokemon" method="get">
            <div class="form-row">
                <div class="form-group col-auto">
                    <label>Nombre</label>
                    <input type="text" name="nombre" value="@ViewBag.Busqueda" class="form-control" />
                </div>
                <div class="col-2">
                    <button type="submit" class="btn btn-info" value="#09D12D">Buscar</button>
                </div>
            </div>
        </form>
    </div>
    <div class="col-8">
        <a href="/Pokemon/Registrar" class="btn btn-primary">Registrar  </a>
        <a href="/Tipo" class="btn btn-primary">Tipos </a>
        <a href="/Tipo/Registrar" class="btn btn-primary">Registrar un tipo </a>
    </div>
</div>

<table class="table">
    <thead>
        <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Tipo</th>
            <th>Imagen</th>
            @if (ViewBag.UsuarioId != null)
            {
<th></th>}
        </tr>
    </thead>
    <tbody>
        @foreach (var pokemon in Model)
        {
<tr>
    <td>@pokemon.Id </td>
    <td>@pokemon.Nombre </td>
    <td>@pokemon.Tipo.Nombre </td>
    <td>
        <img src="@pokemon.Imagen" height="50" width="50" />
    </td>
    @if (ViewBag.UsuarioId != null)
    {
<th>
    <form action="/Pokemon/Capturar" method="post">
        <input type="hidden" name="PokemonId" value="@pokemon.Id" />
        <input type="hidden" name="UsuarioId" value="@ViewBag.UsuarioId" />
        <button type="submit" class="btn btn-success">Capturar</button>
    </form>
</th>}
</tr>}
    </tbody>
</table>